<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Spatie\Activitylog\Traits\LogsActivity;
use Spatie\Activitylog\LogOptions;


class Utility extends Model{

  use LogsActivity;
  protected $guarded = ['id'];
  protected $table = "utility";
  protected static $logUnguarded = true;
  public function getActivitylogOptions(): LogOptions
  {
      return LogOptions::defaults()
      ->logUnguarded();
      // ->logOnly(['name', 'type']);
      // Chain fluent methods for configuration options
  }
}
